#ifndef _TIMER_H_
#define _TIMER_H_

#include <stdint.h>

typedef enum {
	TimerSingle,
	TimerRepeated,
} TimerMode;

volatile int64_t ze_time(void);

void timer_init(void);
int  timer_add (void (*cb)(void *priv), void *priv, TimerMode mode, int delay, int interval);
void timer_remove (int *id);
void timer_trigger (void);
int64_t timer_next_timeout(void);

#endif

