#include <stdlib.h>
#include <string.h>

#include "speak_lib.h"

#define LOG_CONDITION debug_espeak;
#include "log.h"

int debug_espeak;

static int (*_espeak_output)(int16_t*, int);

static int _espeak_cb(short *samples, int count, espeak_EVENT *events)
{
	if (_espeak_output)
		return _espeak_output(samples, count);
	return 1;
}

unsigned int espeak_init(void)
{
	unsigned int sr;
	
	sr = espeak_Initialize(AUDIO_OUTPUT_SYNCHRONOUS, 0, "/usr/share/", 0);
	
	if (sr < 0) {
		log_err("cannot initialize espeak\n");
		return sr;
	}
	
	if( espeak_SetVoiceByName("fr") != EE_OK) {
		return -1;
	}
	
	return sr;
}


void espeak_synth(const char * string, int (*output)(int16_t*, int))
{
	_espeak_output = output;
	
	espeak_SetSynthCallback(_espeak_cb);

	espeak_Synth(string, strlen(string) + 1, 0, POS_CHARACTER, 0, espeakCHARS_UTF8, NULL, NULL);	
}

