#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "gpio.h"

static void usage(void)
{
	printf("usage:\n");
	printf("\tgpio setup gpio_no in|out up|down|none (up/down only valid for input)\n");
	printf("\tgpio read  gpio_no\n");
	printf("\tgpio write gpio_no 1|0\n");
}

int main(int argc, char *argv[]) 
{
	if (argc < 3) {
		usage();
		exit(1);
	}

	gpio_init();

	if (!strcmp(argv[1], "setup")) {
		int is_out;
		int pull_up = GPIO_PULLDOWN;

		if (!strcmp(argv[3], "out")) {
			is_out = 1;
		} else if (!strcmp(argv[3], "in")) {
			is_out = 0;
		} else {
			usage();
			exit(1);		
		}
		if (argc >= 5) {
			if (!strcmp(argv[4], "up")) {
				pull_up = GPIO_PULLUP;
			} else if (!strcmp(argv[4], "down")) {
				pull_up = GPIO_PULLDOWN;
			} else if (!strcmp(argv[4], "none")) {
				pull_up = GPIO_NONE;
			} else {
				usage();
				exit(1);		
			}
		}

		gpio_setup(atoi(argv[2]), is_out, pull_up);
	} else if (!strcmp(argv[1], "read")) {
		printf("%d\n", gpio_read(atoi(argv[2])));
	} else if (!strcmp(argv[1], "write")) {
		gpio_write(atoi(argv[2]), atoi(argv[3]));	
	}

	gpio_exit();

	return 0;
}
