#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "max.h"
#include "gpio.h"

static void usage(void)
{
	printf("usage:\n");
	printf("\tmax addr value: write value into register addr\n");
	printf("\tmax init: just initializes\n");
}

int main(int argc, char *argv[]) 
{
	int addr;
	int value;

	gpio_init();
	max_powerup();

	if (argc > 1 && !strcmp(argv[1], "init")) {
		max_init();
	} else {
		if (argc < 3) {
			usage();
			exit(1);
		}
	
		addr = strtol(argv[1], NULL, 16);
		value = strtol(argv[2], NULL, 16);

		max_write_register(addr, value);
	}

	gpio_exit();

	return 0;
}
