#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>
#include "sense.h"
#include "gpio.h"

int main(int argc, char *argv[]) 
{
	int i;
	uint64_t total_a = 0;
	uint64_t total_b = 0;
	int a, b;
	int retries = 1;

	gpio_init();
	
	sense_init();
	
	if (argc > 1)
		retries = atoi(argv[1]);

	for (i = 0; i < retries; i++) {
		sense_detect(&a, &b);
		total_a += a;
		total_b += b;
	}

	printf("sense: %10lld - %10lld\n", total_a / (retries * 1000), total_b / (retries * 1000));

	gpio_exit();

	return 0;
}
