#include <stdint.h>
#include <stdio.h>
#include <pthread.h>
#include <unistd.h>
#include "message.h"
#include "sense.h"
#include "timer.h"
#include "gpio.h"

#define LOG_CONDITION debug_mushroom
#include "log.h"

int debug_mushroom;

static pthread_t thread;

#define PIN_RECEIVE_A 168
#define PIN_RECEIVE_B 183

static int a_pressed;
static int b_pressed;

void *mushroom_thread(void*priv)
{			
	while (1) {
		if (!gpio_read(PIN_RECEIVE_A)) {
			if (!a_pressed) {
				a_pressed = 1;
				message_put(MESSAGE_BIG_MUSHROOM_PRESSED);
			}
		} else {
			if (a_pressed) {
				a_pressed = 0;
				message_put(MESSAGE_BIG_MUSHROOM_RELEASED);
			}
		}
		if (!gpio_read(PIN_RECEIVE_B)) {
			if (!b_pressed) {
				b_pressed = 1;
				message_put(MESSAGE_SMALL_MUSHROOM_PRESSED);
			}
		} else {
			if (b_pressed) {
				b_pressed = 0;
				message_put(MESSAGE_SMALL_MUSHROOM_RELEASED);
			}
		}
		
		usleep(10000);
	}
}

void mushroom_init(void)
{	
	gpio_setup(PIN_RECEIVE_A, GPIO_INPUT, GPIO_PULLUP);
	gpio_setup(PIN_RECEIVE_B, GPIO_INPUT, GPIO_PULLUP);

	thread = pthread_create(&thread, NULL /*&thread_attr*/, mushroom_thread, NULL);
}
