#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "audio.h"
#include "utils.h"

#define CONTENT_PATH "/home/root/content/raw_44100_mono_s16le/"

static const char *sounds_short[] = {
	"bwaaaa_2.raw",
	"azu.raw",
	"buzu.raw",
	"bwaaaa_1.raw",
	"bwaaaa_falling.raw",
	"bwoooo.raw",
	"claque.raw",
	"laughs.raw",
	"oh.raw",
	"roho.raw",
	"tatatata.raw",
	"waou.raw",
};

static const char *sounds[] = {
	"cant_disco.raw",
	"cant_generic.raw",
	"cant_hymn.raw",
	"christmas.raw",
	"country.raw",
	"daft_punk.raw",
	"tututu_tadatata.raw",
	"valse.raw",
};

void sound_play_rand(void)
{
	int i;
	char buf[512];
	
	i = ze_rand() % (sizeof(sounds) / sizeof(sounds[0]));
	
	snprintf(buf, sizeof(buf), "%s%s",  CONTENT_PATH, sounds[i]);
	
	audio_play_file(buf);
}

void sound_play_short_rand(void)
{
	int i;
	char buf[512];
	
	i = ze_rand() % (sizeof(sounds_short) / sizeof(sounds_short[0]));
	
	snprintf(buf, sizeof(buf), "%s%s", CONTENT_PATH, sounds_short[i]);
	
	audio_play_file(buf);
}

int sound_short_count(void)
{
	return sizeof(sounds_short) / sizeof(sounds_short[0]);
}

void sound_play_short(int num)
{
	char buf[512];
	
	snprintf(buf, sizeof(buf), "%s%s", CONTENT_PATH, sounds_short[num]);
	
	audio_play_file(buf);
}

